Subject: RE: bug#52384: [External] : bug#52384: 26.3; dired buffer navigation tweak

From: Drew Adams <[email-masked]>
Date: Sat, 11 Dec 2021 22:06:31 +0000

> > (The Dired+ versions of these commands wrap
> > around, if option `diredp-wrap-around-flag'
> > has its default value of `t'.)
> 
> Yet another feature I had already implemented
> since Emacs 21.1 and sent to you for review in 2007.

Interesting.  Or is that tongue in cheek?

I just searched all messages I've received from
you, including those in 2007, from mailing lists
and direct mails, and I don't find any such
suggestion or review request.  Could you point
to it - I'm curious.  I expect that if that were
the case I would most likely have added it to
Dired+ long before I did (which was not until
July 12, 2013).

> But I don't use it too much because it's not
> so useful with --group-directories-first
> that really should be the default.

I have that as default for my own use.  But I
often change sort orders, especially for date.
And as I said, `>' and `<' make a difference
(from `n' and `p') when dirs aren't listed first
- as well as when there are inserted subdirs.
___

I also use `C-M-n' and `C-M-p', which move
sequentially among subdir listings, and `C-M-u'
and `C-M-d', which move among them hierarchically
(up/down a Dired tree).